Changeset 959 for ThirdParty/Glpk


Ignore:
Timestamp:
Mar 9, 2008 7:49:52 AM (12 years ago)
Author:
stefan
Message:

ups, looks like I turned debugging possibility off

Location:
ThirdParty/Glpk/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r942 r959  
    10551055  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10561056  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
     1057  --enable-debug          compile all projects with debug options tests
     1058  --enable-debug-glpk compile this project (Glpk) with debug options
    10571059  --enable-doscompile     Under Cygwin, compile so that executables run under
    10581060                          DOS. Set to mingw to use gcc/g++/ld with
     
    10771079  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10781080  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     1081  --with-glpk-verbosity specify the debug verbosity level for project Glpk
     1082  --with-glpk-checklevel specify the sanity check level for project Glpk
    10791083  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10801084  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    16641668#and we couldn't fix it anyway
    16651669coin_skip_warn_cflags=yes
     1670
     1671# Check if user wants to produce debugging code
     1672
     1673echo "$as_me:$LINENO: checking whether we want to compile in debug mode" >&5
     1674echo $ECHO_N "checking whether we want to compile in debug mode... $ECHO_C" >&6
     1675
     1676# Check whether --enable-debug or --disable-debug was given.
     1677if test "${enable_debug+set}" = set; then
     1678  enableval="$enable_debug"
     1679  case "${enableval}" in
     1680   yes) coin_debug_compile=true
     1681        if test "${enable_shared+set}" = set; then :; else
     1682          enable_shared=no
     1683        fi
     1684        ;;
     1685   no)  coin_debug_compile=false
     1686        ;;
     1687   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1688echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
     1689   { (exit 1); exit 1; }; }
     1690        ;;
     1691esac
     1692else
     1693  coin_debug_compile=false
     1694fi;
     1695
     1696# Check whether --enable-debug-glpk or --disable-debug-glpk was given.
     1697if test "${enable_debug_glpk+set}" = set; then
     1698  enableval="$enable_debug_glpk"
     1699  case "${enableval}" in
     1700    yes) coin_debug_compile=true
     1701         enable_shared=no
     1702         ;;
     1703    no)  coin_debug_compile=false
     1704         ;;
     1705    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-glpk" >&5
     1706echo "$as_me: error: bad value ${enableval} for --enable-debug-glpk" >&2;}
     1707   { (exit 1); exit 1; }; }
     1708         ;;
     1709 esac
     1710else
     1711  :
     1712fi;
     1713
     1714 # m4_ifvaln([Glpk],
     1715
     1716if test $coin_debug_compile = true; then
     1717  echo "$as_me:$LINENO: result: yes" >&5
     1718echo "${ECHO_T}yes" >&6
     1719else
     1720  echo "$as_me:$LINENO: result: no" >&5
     1721echo "${ECHO_T}no" >&6
     1722fi
     1723
     1724
     1725# Check whether --with-glpk-verbosity or --without-glpk-verbosity was given.
     1726if test "${with_glpk_verbosity+set}" = set; then
     1727  withval="$with_glpk_verbosity"
     1728  if test "$withval" = yes; then
     1729                withval=1
     1730              fi
     1731              coin_glpk_verbosity=$withval
     1732else
     1733  coin_glpk_verbosity=0
     1734fi;
     1735
     1736cat >>confdefs.h <<_ACEOF
     1737#define COIN_GLPK_VERBOSITY $coin_glpk_verbosity
     1738_ACEOF
     1739
     1740
     1741
     1742# Check whether --with-glpk-checklevel or --without-glpk-checklevel was given.
     1743if test "${with_glpk_checklevel+set}" = set; then
     1744  withval="$with_glpk_checklevel"
     1745  if test "$withval" = yes; then
     1746                withval=1
     1747              fi
     1748              coin_glpk_checklevel=$withval
     1749else
     1750  coin_glpk_checklevel=0
     1751fi;
     1752
     1753cat >>confdefs.h <<_ACEOF
     1754#define COIN_GLPK_CHECKLEVEL $coin_glpk_checklevel
     1755_ACEOF
     1756
     1757
     1758# We use the following variable to have a string with the upper case
     1759# version of the project name
     1760COIN_PRJCT=GLPK
     1761
     1762
     1763 # m4_ifvaln([Glpk],
     1764
     1765
    16661766
    16671767# Get the name of the C compiler
     
    46054705*-*-irix6*)
    46064706  # Find out which ABI we are using.
    4607   echo '#line 4607 "configure"' > conftest.$ac_ext
     4707  echo '#line 4707 "configure"' > conftest.$ac_ext
    46084708  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46094709  (eval $ac_compile) 2>&5
     
    62046304
    62056305# Provide some information about the compiler.
    6206 echo "$as_me:6206:" \
     6306echo "$as_me:6306:" \
    62076307     "checking for Fortran 77 compiler version" >&5
    62086308ac_compiler=`set X $ac_compile; echo $2`
     
    72717371   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72727372   -e 's:$: $lt_compiler_flag:'`
    7273    (eval echo "\"\$as_me:7273: $lt_compile\"" >&5)
     7373   (eval echo "\"\$as_me:7373: $lt_compile\"" >&5)
    72747374   (eval "$lt_compile" 2>conftest.err)
    72757375   ac_status=$?
    72767376   cat conftest.err >&5
    7277    echo "$as_me:7277: \$? = $ac_status" >&5
     7377   echo "$as_me:7377: \$? = $ac_status" >&5
    72787378   if (exit $ac_status) && test -s "$ac_outfile"; then
    72797379     # The compiler can only warn and ignore the option if not recognized
     
    75397639   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75407640   -e 's:$: $lt_compiler_flag:'`
    7541    (eval echo "\"\$as_me:7541: $lt_compile\"" >&5)
     7641   (eval echo "\"\$as_me:7641: $lt_compile\"" >&5)
    75427642   (eval "$lt_compile" 2>conftest.err)
    75437643   ac_status=$?
    75447644   cat conftest.err >&5
    7545    echo "$as_me:7545: \$? = $ac_status" >&5
     7645   echo "$as_me:7645: \$? = $ac_status" >&5
    75467646   if (exit $ac_status) && test -s "$ac_outfile"; then
    75477647     # The compiler can only warn and ignore the option if not recognized
     
    76437743   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76447744   -e 's:$: $lt_compiler_flag:'`
    7645    (eval echo "\"\$as_me:7645: $lt_compile\"" >&5)
     7745   (eval echo "\"\$as_me:7745: $lt_compile\"" >&5)
    76467746   (eval "$lt_compile" 2>out/conftest.err)
    76477747   ac_status=$?
    76487748   cat out/conftest.err >&5
    7649    echo "$as_me:7649: \$? = $ac_status" >&5
     7749   echo "$as_me:7749: \$? = $ac_status" >&5
    76507750   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    76517751   then
     
    998810088  lt_status=$lt_dlunknown
    998910089  cat > conftest.$ac_ext <<EOF
    9990 #line 9990 "configure"
     10090#line 10090 "configure"
    999110091#include "confdefs.h"
    999210092
     
    1008810188  lt_status=$lt_dlunknown
    1008910189  cat > conftest.$ac_ext <<EOF
    10090 #line 10090 "configure"
     10190#line 10190 "configure"
    1009110191#include "confdefs.h"
    1009210192
     
    1243212532   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1243312533   -e 's:$: $lt_compiler_flag:'`
    12434    (eval echo "\"\$as_me:12434: $lt_compile\"" >&5)
     12534   (eval echo "\"\$as_me:12534: $lt_compile\"" >&5)
    1243512535   (eval "$lt_compile" 2>conftest.err)
    1243612536   ac_status=$?
    1243712537   cat conftest.err >&5
    12438    echo "$as_me:12438: \$? = $ac_status" >&5
     12538   echo "$as_me:12538: \$? = $ac_status" >&5
    1243912539   if (exit $ac_status) && test -s "$ac_outfile"; then
    1244012540     # The compiler can only warn and ignore the option if not recognized
     
    1253612636   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1253712637   -e 's:$: $lt_compiler_flag:'`
    12538    (eval echo "\"\$as_me:12538: $lt_compile\"" >&5)
     12638   (eval echo "\"\$as_me:12638: $lt_compile\"" >&5)
    1253912639   (eval "$lt_compile" 2>out/conftest.err)
    1254012640   ac_status=$?
    1254112641   cat out/conftest.err >&5
    12542    echo "$as_me:12542: \$? = $ac_status" >&5
     12642   echo "$as_me:12642: \$? = $ac_status" >&5
    1254312643   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1254412644   then
     
    1410614206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1410714207   -e 's:$: $lt_compiler_flag:'`
    14108    (eval echo "\"\$as_me:14108: $lt_compile\"" >&5)
     14208   (eval echo "\"\$as_me:14208: $lt_compile\"" >&5)
    1410914209   (eval "$lt_compile" 2>conftest.err)
    1411014210   ac_status=$?
    1411114211   cat conftest.err >&5
    14112    echo "$as_me:14112: \$? = $ac_status" >&5
     14212   echo "$as_me:14212: \$? = $ac_status" >&5
    1411314213   if (exit $ac_status) && test -s "$ac_outfile"; then
    1411414214     # The compiler can only warn and ignore the option if not recognized
     
    1421014310   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1421114311   -e 's:$: $lt_compiler_flag:'`
    14212    (eval echo "\"\$as_me:14212: $lt_compile\"" >&5)
     14312   (eval echo "\"\$as_me:14312: $lt_compile\"" >&5)
    1421314313   (eval "$lt_compile" 2>out/conftest.err)
    1421414314   ac_status=$?
    1421514315   cat out/conftest.err >&5
    14216    echo "$as_me:14216: \$? = $ac_status" >&5
     14316   echo "$as_me:14316: \$? = $ac_status" >&5
    1421714317   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1421814318   then
     
    1641716517   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1641816518   -e 's:$: $lt_compiler_flag:'`
    16419    (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
     16519   (eval echo "\"\$as_me:16519: $lt_compile\"" >&5)
    1642016520   (eval "$lt_compile" 2>conftest.err)
    1642116521   ac_status=$?
    1642216522   cat conftest.err >&5
    16423    echo "$as_me:16423: \$? = $ac_status" >&5
     16523   echo "$as_me:16523: \$? = $ac_status" >&5
    1642416524   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642516525     # The compiler can only warn and ignore the option if not recognized
     
    1668516785   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1668616786   -e 's:$: $lt_compiler_flag:'`
    16687    (eval echo "\"\$as_me:16687: $lt_compile\"" >&5)
     16787   (eval echo "\"\$as_me:16787: $lt_compile\"" >&5)
    1668816788   (eval "$lt_compile" 2>conftest.err)
    1668916789   ac_status=$?
    1669016790   cat conftest.err >&5
    16691    echo "$as_me:16691: \$? = $ac_status" >&5
     16791   echo "$as_me:16791: \$? = $ac_status" >&5
    1669216792   if (exit $ac_status) && test -s "$ac_outfile"; then
    1669316793     # The compiler can only warn and ignore the option if not recognized
     
    1678916889   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1679016890   -e 's:$: $lt_compiler_flag:'`
    16791    (eval echo "\"\$as_me:16791: $lt_compile\"" >&5)
     16891   (eval echo "\"\$as_me:16891: $lt_compile\"" >&5)
    1679216892   (eval "$lt_compile" 2>out/conftest.err)
    1679316893   ac_status=$?
    1679416894   cat out/conftest.err >&5
    16795    echo "$as_me:16795: \$? = $ac_status" >&5
     16895   echo "$as_me:16895: \$? = $ac_status" >&5
    1679616896   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1679716897   then
  • ThirdParty/Glpk/trunk/configure.ac

    r942 r959  
    4141#and we couldn't fix it anyway
    4242coin_skip_warn_cflags=yes
     43
     44# Check if user wants to produce debugging code
     45AC_COIN_DEBUG_COMPILE(Glpk)
    4346
    4447# Get the name of the C compiler
Note: See TracChangeset for help on using the changeset viewer.